Bug 1020 - Problem compiling samba 3.0.1
Problem compiling samba 3.0.1
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.1
Other other
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 05:28 UTC by Pierre
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre 2004-01-30 05:28:45 UTC
# gmake
Using FLAGS =  -s -O3 -march=i686 -I/usr/local/include
-I/usr/local/include/libxml2 -I/usr/local/mysql/include/mysql  -Iinclude
-I/tmp/samba-3.0.1/source/include -I/tmp/samba-3.0.1/source/ubiqx
-I/tmp/samba-3.0.1/source/smbwrapper  -I. -D_LARGEFILE64_SOURCE
-D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I/usr/local/include
-I/tmp/samba-3.0.1/source    
      LIBS = -lcrypt -lresolv -lnsl -ldl
      LDSHFLAGS = -shared  -Wl,-rpath,/usr/lib
      LDFLAGS = -Wl,-rpath,/usr/lib
Compiling smbd/quotas.c
In file included from /usr/include/linux/quota.h:40,
                 from smbd/quotas.c:65:
/usr/include/linux/spinlock.h: In function `bit_spin_lock':
/usr/include/linux/spinlock.h:413: error: invalid type argument of `->'
/usr/include/linux/spinlock.h: In function `bit_spin_trylock':
/usr/include/linux/spinlock.h:436: error: invalid type argument of `->'
/usr/include/linux/spinlock.h: In function `bit_spin_unlock':
/usr/include/linux/spinlock.h:451: error: invalid type argument of `->'
/usr/include/linux/spinlock.h:451: error: `TIF_NEED_RESCHED' undeclared (first
use in this function)
/usr/include/linux/spinlock.h:451: error: (Each undeclared identifier is
reported only once
/usr/include/linux/spinlock.h:451: error: for each function it appears in.)
/usr/include/linux/spinlock.h: In function `bit_spin_is_locked':
/usr/include/linux/spinlock.h:462: error: invalid type argument of `->'
smbd/quotas.c: In function `get_smb_linux_vfs_quota':
smbd/quotas.c:135: error: storage size of `D' isn't known
gmake: *** [smbd/quotas.o] Error 1
Comment 1 Gerald (Jerry) Carter 2004-02-01 15:24:19 UTC
This should be fixed in 3.0.2rc2
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.